Next: Keep Old Files, Previous: Dealing with Old Files, Up: Writing [Contents][Index]

#### Overwrite Old Files

`--overwrite`

  Overwrite existing files and directory metadata when extracting files from an archive.

  This causes `tar` to write extracted files into the file system without regard to the files already on the system; i.e., files with the same names as archive members are overwritten when the archive is extracted. It also causes `tar` to extract the ownership, permissions, and time stamps onto any preexisting files or directories. If the name of a corresponding file name is a symbolic link, the file pointed to by the symbolic link will be overwritten instead of the symbolic link itself (if this is possible). Moreover, special devices, empty directories and even symbolic links are automatically removed if they are in the way of extraction.

  Be careful when using the `--overwrite` option, particularly when combined with the `--absolute-names` (`-P`) option, as this combination can change the contents, ownership or permissions of any file on your system. Also, many systems do not take kindly to overwriting files that are currently being executed.

`--overwrite-dir`

  Overwrite the metadata of directories when extracting files from an archive, but remove other files before extracting.